Module java.desktop
Package javax.swing.plaf.synth

## Class SynthInternalFrameUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.InternalFrameUI
    - - javax.swing.plaf.basic.BasicInternalFrameUI
      - - javax.swing.plaf.synth.SynthInternalFrameUI

All Implemented Interfaces:
  PropertyChangeListener, EventListener, SynthConstants, SynthUI

    public class SynthInternalFrameUI
    extends BasicInternalFrameUI
    implements SynthUI, PropertyChangeListener

Provides the Synth L&F UI delegate for `JInternalFrame`.

Since:
  1.7

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

`BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

`borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, titlePane, westPane`

### Fields inherited from interface javax.swing.plaf.synth.SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

### Constructor Summary

Constructors
`protected` `SynthInternalFrameUI(JInternalFrame b)` Constructs a `SynthInternalFrameUI`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected ComponentListener` `createComponentListener()` Creates a component listener.
`protected JComponent` `createNorthPane(JInternalFrame w)` Creates the north pane.
`static ComponentUI` `createUI(JComponent b)` Creates a new UI object for the given component.
`SynthContext` `getContext(JComponent c)` Returns the Context for the specified component.
`void` `installDefaults()` Installs the defaults.
`protected void` `installListeners()` Installs the listeners.
`void` `paint(Graphics g, JComponent c)` Paints the specified component according to the Look and Feel.
`protected void` `paint(SynthContext context, Graphics g)` Paints the specified component.
`void` `paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)` Paints the border.
`void` `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed.
`protected void` `uninstallComponents()` Uninstalls the components.
`protected void` `uninstallDefaults()` Uninstalls the defaults.
`protected void` `uninstallListeners()` Uninstalls the listeners.
`void` `update(Graphics g, JComponent c)` Notifies this UI delegate to repaint the specified component.

### Methods inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

`activateFrame, closeFrame, createBorderListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installComponents, installKeyboardActions, installMouseHandlers, installUI, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynthInternalFrameUI

    protected SynthInternalFrameUI(JInternalFrame b)

Constructs a `SynthInternalFrameUI`.

Parameters:
  `b` - an internal frame

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent b)

Creates a new UI object for the given component.

Parameters:
  `b` - component to create UI object for
Returns:
  the UI object

#### installDefaults

    public void installDefaults()

Installs the defaults.

Overrides:
  `installDefaults` in class `BasicInternalFrameUI`

#### installListeners

    protected void installListeners()

Installs the listeners.

Overrides:
  `installListeners` in class `BasicInternalFrameUI`

#### uninstallComponents

    protected void uninstallComponents()

Uninstalls the components.

Overrides:
  `uninstallComponents` in class `BasicInternalFrameUI`

#### uninstallListeners

    protected void uninstallListeners()

Uninstalls the listeners.

Overrides:
  `uninstallListeners` in class `BasicInternalFrameUI`

#### uninstallDefaults

    protected void uninstallDefaults()

Uninstalls the defaults.

Overrides:
  `uninstallDefaults` in class `BasicInternalFrameUI`

#### getContext

    public SynthContext getContext(JComponent c)

Returns the Context for the specified component.

Specified by:
  `getContext` in interface `SynthUI`
Parameters:
  `c` - Component requesting SynthContext.
Returns:
  SynthContext describing component.

#### createNorthPane

    protected JComponent createNorthPane(JInternalFrame w)

Creates the north pane.

Overrides:
  `createNorthPane` in class `BasicInternalFrameUI`
Parameters:
  `w` - the internal frame
Returns:
  the north pane

#### createComponentListener

    protected ComponentListener createComponentListener()

Creates a component listener.

Overrides:
  `createComponentListener` in class `BasicInternalFrameUI`
Returns:
  a component listener

#### update

    public void update(Graphics g,
                       JComponent c)

Notifies this UI delegate to repaint the specified component. This method paints the component background, then calls the `paint(SynthContext,Graphics)` method.

In general, this method does not need to be overridden by subclasses. All Look and Feel rendering code should reside in the `paint` method.

Overrides:
  `update` in class `ComponentUI`
Parameters:
  `g` - the `Graphics` object used for painting
  `c` - the component being painted
See Also:
  `paint(SynthContext,Graphics)`

#### paint

    public void paint(Graphics g,
                      JComponent c)

Paints the specified component according to the Look and Feel.

This method is not used by Synth Look and Feel. Painting is handled by the `paint(SynthContext,Graphics)` method.

Overrides:
  `paint` in class `ComponentUI`
Parameters:
  `g` - the `Graphics` object used for painting
  `c` - the component being painted
See Also:
  `paint(SynthContext,Graphics)`

#### paint

    protected void paint(SynthContext context,
                         Graphics g)

Paints the specified component. This implementation does nothing.

Parameters:
  `context` - context for the component being painted
  `g` - the `Graphics` object used for painting
See Also:
  `update(Graphics,JComponent)`

#### paintBorder

    public void paintBorder(SynthContext context,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

Paints the border.

Specified by:
  `paintBorder` in interface `SynthUI`
Parameters:
  `context` - a component context
  `g` - `Graphics` to paint on
  `x` - the X coordinate
  `y` - the Y coordinate
  `w` - width of the border
  `h` - height of the border

#### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.